Bug 856687 - [rfe] option for <ks_append> part of beaker job xml
[rfe] option for <ks_append> part of beaker job xml
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 19.3
: ---
Assigned To: matt jia
tools-bugs
CommandLineEnhancement
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 11:02 EDT by Jiri Kastner
Modified: 2015-03-17 02:34 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-17 02:34:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2012-09-12 11:02:45 EDT
Description of problem:
beaker xml contains <ks_appends> which serves to append custom kickstart parts. seems to me usefull to have option for that.

Actual results:
missing options

Expected results:
--ks-append and/or --ks-append-file options

Additional info:
<ks_appends>
   <ks_append>
%post
sed -i 's/CONSOLE_LOG=.*/CONSOLE_LOG=False/' /etc/beah.conf
%end
   </ks_append>
</ks_appends>
Comment 1 Petr Šplíchal 2012-09-12 12:48:48 EDT
I think it would make sense to include this functionality in the
general workflow code from where all workflows can make use of it
(similarly as the --ks-meta option). Jiri, what do you think?
Comment 2 Jiri Kastner 2012-09-13 09:00:16 EDT
good idea
Comment 3 Petr Šplíchal 2012-09-13 09:32:38 EDT
OK, moving to the Beaker product.
Comment 4 Nick Coghlan 2012-10-17 00:35:44 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 6 matt jia 2015-03-03 01:18:16 EST
On Gerrit:

 http://gerrit.beaker-project.org/#/c/4012/

Matt Jia
Comment 7 matt jia 2015-03-11 23:40:23 EDT
Verify Steps:

1. run `bkr workflow-simple --dryrun --prettyxml --family Fedora21 --arch x86_64  --task '/distribution/install' --ks-append 'test or whatever command'`

2. check the ks_appends part in the output xml.

Matt Jia
Comment 8 Dan Callaghan 2015-03-12 22:47:23 EDT
This bug fix is included in beaker-client-19.3-0.git.19.e9faab9.el6eng which is currently available for download here:

https://beaker-project.org/nightlies/release-19/
Comment 10 Dan Callaghan 2015-03-17 02:34:23 EDT
Beaker 19.3 has been released.

Note You need to log in before you can comment on or make changes to this bug.